Subject: RE: bug#7111: 24.0.50; `diff' argument order and doc string

From: "Drew Adams" <[email-masked]>
Date: Sun, 26 Sep 2010 14:50:28 -0700

> BTW, I think the first time I actually used diff directly I was
> surprised by this order. OLD then NEW is more natural.

Yes, when `diff' is used as a command-line command.

But in Emacs you often want to diff a current file (line in Dired, current
buffer file, etc.) against some other file, often the backup (old version) of
the same file.  That is the rationale, I think, behind the chosen order.